const productName    = "TargetAlert";
const productRegKey  = "targetalert";
const productVersion = "0.8.9.7";
const jarFile        = "TargetAlert.jar";
const locales        = ["cs-CZ",
                        "de-DE",
                        "en-US",
                        "es-ES",
                        "fr-FR",
                        "it-IT",
                        "nl-NL",
                        "pl-PL",
                        "pt-BR",
                        "ru-RU",
                        "sk-SK",
                        "tr-TR"];

var status = 0;

status = initInstall(productName, productRegKey, productVersion);

var compDir = getFolder("Components"); 

chromeFolder = getFolder("Chrome");
// setPackageFolder(chromeFolder);

status = addFile("chrome/" + jarFile);

status = registerChrome(Install.CONTENT | PROFILE_CHROME,
                        getFolder(chromeFolder, jarFile),
                        "content/");

for (var i = 0; i < locales.length; i++) {
  registerChrome(Install.LOCALE | PROFILE_CHROME,
                 getFolder(chromeFolder, jarFile),
                 "locale/" + locales[i] + "/" + productRegKey + "/");
}

if (getLastError() == 0) {
	performInstall();
} else {
	alert("the result had to be cancelled " + getLastError());
	cancelInstall(status);
}